* {
  box-sizing: border-box;
}

body {
  font-family: sans-serif;
  margin: 0;
  padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol {
  margin: 0;
}

h2 {
  margin-bottom: 0.5em;
}

.mt-0_25 {
  margin-top: 0.25em;
}

.mt-0_5 {
  margin-top: 0.5em;
}

.mt-0_667 {
  margin-top: 0.667em;
}

.mt-1 {
  margin-top: 1em;
}

.mt-1_5 {
  margin-top: 1.5em;
}

.mt-2 {
  margin-top: 2em;
}

.mb-0_5 {
  margin-bottom: 0.5em;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.display-none {
  display: none;
}

.text-align-right {
  text-align: right;
}

.text-align-center {
  text-align: center;
}

.button {
  background-color: rgb(21, 126, 100);
  color: white;
  padding: 0.66em 1em;
  border: none;
  border-radius: 0;
  font-weight: bold;
  cursor: pointer;
}

.button:hover:not(:disabled) {
  background-color: rgb(37, 146, 119);
}

.button:disabled {
  background-color: rgb(102, 102, 102);
  color: rgb(227, 227, 227);
}

.linkbutton {
  background: none;
  border: none;
  color: rgb(53, 53, 53);
  cursor: pointer;
  text-decoration: underline;
  font-size: 0.85em;
  padding-left: 0;
  padding-right: 0;
}

small .linkbutton {
  font-size: inherit;
}

.visibility-hidden {
  visibility: hidden;
}

.App {
  min-height: 100vh;
  display: grid;
  grid-template-rows: max-content auto max-content;
}

.AppLogoWrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  font-size: 7.8vw;
}

.AppLogo {
  height: 1.35em;
  width: auto;
  display: block;
  position: relative;
}

.AppTitleWrapper {
  display: flex;
  margin-left: 1vw;
  flex-direction: column;
  font-family: monospace;
  font-size: 7.8vw;
}

.AppTitleWrapper h1 {
  margin-top: auto;
  font-size: inherit;
  font-size: 1.2em;
  line-height: 0.7em;
}

.AppTitleSubtitle {
  font-size: .4em;
}

.AppHeader,
.IntroductionWrapper,
.InviteWrapper,
.NewChannelWrapper,
.ChannelsWrapper,
.SectionWrapper,
.LegalSectionWrapper,
.ChannelListWrapper,
.ChannelItemWrapper,
.AppMessageWrapper,
.Footer {
  padding: 0.75rem 2rem;
  max-width: 50rem;
  margin-left: auto;
  margin-right: auto;
}

.SectionWrapperNoVerticalPadding {
  padding-top: 0;
  padding-bottom: 0;
}

.AppMessageWrapper {
  padding-top: 0;
  padding-bottom: 0;
}

.TermsOfUseAgreementContainer {
  margin-top: 3em;
  max-width: 30em;
  margin-left: auto;
  margin-right: auto;
  border: 1px solid #ccc;
  border-radius: 0.333em;
  font-size: 0.9em;
  padding: 0.666em 1em .8em;
  background-color: #fff;
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);
}

.ChannelActionConfirmContainer {
  margin-top: 3em;
  max-width: 30em;
  margin-left: auto;
  margin-right: auto;
  border: 1px solid #ccc;
  border-radius: 0.333em;
  font-size: 0.9em;
  padding: 0.666em 1em .8em;
  background-color: #fff;
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);
}

.TermsOfUseAgreementHeader {
  font-size: 1.2em;
  margin-bottom: 0.333em;
}

.ChannelActionConfirmHeader {
  font-size: 1.2em;
  margin-bottom: 0.333em;
}

.ChannelActionButtonsContainer {
  display: flex;
  margin-top: 1em;
  justify-content: space-around;
}

.ChannelActionButtonsContainer .CancelButton {
  background-color: rgb(92, 97, 97);
}

.ChannelActionButtonsContainer .CancelButton:active, .ChannelActionButtonsContainer .CancelButton:hover, .ChannelActionButtonsContainer .CancelButton:focus {
  background-color: rgb(108, 110, 110);
}

.NewChannelHeading {
  font-size: 7vw;
}

@media (min-width: 315px) {
  .NewChannelHeading {
    font-size: 1.15em;
  }
}

.Invite {
  background-color: rgb(227, 235, 253);
  padding: 1em;
  border-radius: 0.125em;
  border: 2px solid rgb(0, 23, 53);
}

.Invite h2 {
  color: rgb(0, 23, 53);
}

.TextInput,
.Textarea {
  width: 100%;
  padding: 0.5em 0.5em;
}

.Textarea {
  resize: vertical;
  border: 1px solid grey;
}

.Textarea:disabled {
  background-color: #eceef4;
  color: #171717;
}

.AppMessage {
  font-weight: bold;
  font-size: 0.9em;
  line-height: 1em;
  min-height: 1em;
}

.AppMessage.Success {
  color: darkgreen;
}

.AppMessage.Info {
  color: darkblue;
}

.AppMessage.Error {
  color: rgb(82, 0, 38);
}

.ChannelsHeader {
  padding-bottom: 0.5em;
}

.ChannelItem {
  position: relative;
  margin-bottom: 1em;
}

.ChannelItem .ChannelItemHeader {
  display: flex;
  flex-direction: column;
}

.PublicKeyFingerprint code {
  line-break: anywhere;
  word-wrap: break-word;
}

@media (min-width: 586px) {
  .ChannelItem .ChannelItemHeader {
    flex-direction: row;
    justify-content: space-between;
  }
}

.ChannelItem .ChannelName,
.ChannelItem .ChannelValueLabel {
  font-size: 0.85em;
}

.ChannelItem .ChannelItemMeta {
  color: rgb(80, 80, 80);
  margin-bottom: 0.5em;
  text-align: left;
  margin-top: 0.33em;
}

@media (min-width: 586px) {
  .ChannelItem .ChannelItemMeta {
    margin-top: 0;
    text-align: right;
  }
}

.ValuePasswordLabel {
  font-size: 0.85em;
}

.PricingFeaturesList {
  list-style: none;
  padding-left: 0;
}

.PurchaseButton {
  background-color: #148603;
  color: white;
  padding: 0.5em 2em;
  display: inline-block;
  border-radius: 2em;
  text-decoration: none;
  font-weight: bold;
  letter-spacing: 0em;
  border: none;
  font-weight: bold;
  font-family: inherit;
  cursor: pointer;
  font-size: 1.25em;
}

.HeaderUpgradeButton {
  font-size: .9em;
  font-size: clamp(0.7em, 3vw, .9em);
  background-color: #148603;
  color: white;
  border-radius: 2em;
  text-decoration: none;
  display: block;
}

.HeaderUpgradeButton:hover {
  background-color: #229e0e;
}

.PaymentOptions {
  font-size: 1em;
  font-size: clamp(.7em, 3.7vw, 1em);
  border: 3px solid #258a2c;
  border-radius: 3em;
  padding: 0.8em 1em;
  background-color: white;
}

.SelectedPaymentOption {
  font-size: 1em;
  padding: 0.8em 1em;
}

.PurchaseButton:hover {
  background-color: #229e0e;
}

.SectionWrapper p,
.SectionWrapper ul {
  line-height: 1.125em;
  margin-bottom: 0.5em;
}

.SubscriptionThankyou {
  background-color: rgb(246, 255, 243);
  border: 2px solid rgb(14, 163, 0);
  border-radius: 15px;
  padding: 2em 5vw;
  margin-bottom: 1em;
  text-align: center;
}

.SubscriptionThankyou p:first-child {
  margin-bottom: 1em;
  color: #0b7701;
}

.LegalSectionWrapper {
  font-size: 0.85em;
}

.LegalSectionWrapper p {
  margin-bottom: 0.5em;
}

.LegalSectionWrapper h3 {
  margin-bottom: 0.5em;
  margin-top: 0.75em;
}

.QrCodeSectionWrapper {
  margin-top: 1em;
  margin-bottom: 1em;
}

.QrCodeWrapper {
  margin-bottom: 1em;
}

.ChannelInfoItemLinkContent {
  display: grid;
  grid-template-columns: 1em auto 1.1em;
  column-gap: 1em;
  align-items: center;
  text-decoration: none;
}

.ChannelInfoItemLinkIcon {
  color: rgb(21, 126, 100);
}

.NewChannelName {
  font-family: monospace;
}

.LogoLink {
  text-decoration: none;
  color: inherit;
  display: flex;
}

.NotificationsIcon {
  font-size: clamp(0.7em, 3vw, .9em);
  text-decoration: none;
  border: 1px solid grey;
  border-radius: 2em;
  padding: 0.4em;
}

.Footer {
  margin-top: 3em;
  font-size: 0.87em;
  width: 100%;
}

.FooterContent {
  border-top: 1px solid rgba(0, 0, 0, 0.15);
  padding-top: 2em;
}

.Footer .LegalLinks a {
  color: rgb(80, 80, 80);
  text-decoration: none;
  margin-right: 0.333em;
}

.WebAppVersion {
  color: rgb(39, 39, 39);
  font-size: 0.8em;
  margin-top: 1em;
}

.WebAppVersion a {
  color: inherit;
}

.ChannelInfoItemLink {
  display: block;
  margin-bottom: 0.5em;
  padding: 0.75em 0.7em;
  border-radius: 5px;
  text-overflow: clip;
  border: 2px solid rgb(21, 126, 100);
  background-color: rgb(250, 255, 254);
  text-decoration: none;
  color: inherit;
}

.ChannelInfoItemLink:hover,
.ChannelInfoItemLink:active,
.ChannelInfoItemLink:focus {
  background-color: rgb(230, 247, 243);
}

.WarningBanner {
  border: 2px solid rgb(49, 5, 0);
  background-color: rgb(240, 240, 220);
  color: rgb(62, 16, 2);
  padding: 0.5em 0.5em 0.7em;
  border-radius: 0.25em;
  line-height: 1.333;
}

.WarningBanner a {
  color: inherit;
  text-decoration: none;
}

.AllChannelsLinkWrapper {
  padding-top: 1em;
}

.OverlayShareInstructions {
  color: white;
  font-size: 1.1em;
  padding: 1em;
  text-align: center;
}

.OverlayShareInstructionsBackground {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.66);
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  display: grid;
  justify-content: center;
  align-content: center;
}

.ChannelControlButtons {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 0.5em;
  row-gap: 0.5em;
}

.ChannelControlButtons .TwoColumnButton {
  grid-column: 1 / 3;
}

.positionRelative {
  position: relative;
}

.bottomRight {
  position: absolute;
  bottom: 0;
  right: 0;
}

.ChannelTypeSelection {
  display: grid;
  grid-template-columns: auto auto;
  column-gap: 1em;
  font-size: 0.9em;
}

.ChannelTypeSelectionOption {
  display: grid;
  cursor: pointer;
  grid-template-columns: max-content auto;
  column-gap: 0.5em;
  border: 2px solid;
  padding: 0.5em 0.5em 0.5em 0.35em;
}

.ChannelTypeSelectionOption.selected {
  border-color: #0060df;
}

.ChannelTypeSelectionOption label,
.ChannelTypeSelectionOption input {
  cursor: pointer;
}

.ChannelInviteMeta {
  font-size: 0.9em;
}

.InvitesTableContainer h3 {
  font-size: 0.95em;
}

.InvitesTableContainer table {
  width: 100%;
  font-size: 0.85em;
  border-spacing: 0;
}

.InvitesTableContainer th {
  text-align: left;
  font-size: 0.95em;
  background-color: #e2eef2;
  padding: 0.3em 0.4em;
}

.InvitesTableContainer th:last-child {
  text-align: center;
}

.InvitesTableContainer tr td {
  font-size: 0.9em;
  background-color: #f5f5f5;
  padding: 0.2em 0.4em;
}

.InvitesTableContainer tr:nth-child(odd) td {
  background-color: white;
}

.InvitesTableContainer tr td:last-child {
  text-align: center;
}

.InvitesTableContainer tr td:last-child button {
  font-size: 1.1em;
}

.BodyShadowOverlay {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.333);
}

.ChannelValueContainer {
  position: relative;
}

.ChannelValueAnimationBackground {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #2e4983;
  background: linear-gradient(0deg, #4469ae 0%, #5076ce 100%);
  width: 100%;
}

.ChannelValueAnimationCanvas {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 2;
  display: flex;
  overflow: hidden;
}

.ChannelValueAnimation {
  font-size: 1.1em;
  font-weight: bold;
  color: white;
  position: relative;
}

.ChannelValueAnimationSlider {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  white-space: nowrap;
  display: flex;
  justify-content: center;
  align-items: center;
}

.Transition-Opacity {
  transition: opacity 1s;
}

.Opacity-0 {
  opacity: 0;
}

.Opacity-1 {
  opacity: 1;
}

.Opacity-FadeIn {
  opacity: 1;
}

.Opacity-FadeOut {
  opacity: 0;
}

.Transform-Translate-0x0 {
  transform: translate(0, 0);
}

.AnimatedChangeLogItem {
  color:rgb(47 90 145);
  animation: hue-rotate-animation 4s 3;
}

@keyframes hue-rotate-animation {
  0% {
    filter: hue-rotate(0deg);
  }
  
  50% {
    filter: hue-rotate(100deg);
  }
  
  100% {
    filter: hue-rotate(0deg);
  }
}

.ChannelValueTextarea {
  display: block;
}

.AppHeader {
  width: 100%;
  font-size: .8em;
}

.AppMainContent {
  width: 100%;
}

.AppHeaderTopBar {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto auto;
  justify-content: center;
  text-align: center;
  row-gap: 1em;
}

.NewChannelNotes {
  padding-top: 3em;
  border-top: 1px solid rgba(0, 0, 0, 0.15);
  margin-top: 4em;
}

.LogoLink {
  grid-column: 1 / 2;
}

.UpgradeContainer {
  grid-row: 2 / 3;
  grid-column: 1 / 3;
}

.NotificationsContainer {
  grid-row: 1 / 2;
  grid-column: 2 / 3;
}

.NotificationsContainer {
  display: flex;
  justify-content: center;
  align-items: center;
}

.GetMessageTipContainer {
  position: absolute;
  bottom: .5em;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: .5em;
  font-size: .9em;
}

.GetMessageTip {
  font-size: .97em;
  background-color: rgb(204, 226, 255);
  border: 2px solid rgb(0, 23, 53);
  padding: .5em;
  border-radius: 7px;
}

.GetMessageTip .linkbutton {
  font-size: inherit;
}

.MessageInfoPart1 {
  margin-bottom: .2em;
}

@media(min-width: 550px) {
  .MessageInfoContainer {
    display: flex;
    justify-content: space-between;
  }
}

.MessageInfoContainer .linkbutton {
  font-size: inherit;
}

@media(min-width: 550px) {
  .AppHeaderTopBar {
    grid-template-columns: max-content auto max-content;
    grid-template-rows: auto;
    column-gap: 1em;
    align-items: center;
    justify-content: normal;
  }

  .LogoLink {
    grid-column: 1 / 2;
  }

  .UpgradeContainer {
    grid-row: 1 / 2;
    grid-column: 2 / 3;
  }

  .NotificationsContainer {
    grid-row: 1 / 2;
    grid-column: 3 / 4;
  }

  .AppLogoWrapper, .AppTitleWrapper {
    font-size: 3.3em;
  }
  
  .AppTitleWrapper {
    margin-left: .333em;
  }

  .AppLogo {
    height: 1.10em;
  }

  .AppTitleWrapper h1 {
    line-height: .8em;
  }
}

.FingerprintVerificationInput {
  font-family: monospace;
  display: block;
  max-width: calc(100vw - 4.1rem);
}

.ChannelCoreName {
  font-weight: normal;
}

.CopyButton {
  cursor: pointer;
  background: transparent;
  padding: 0;
  margin: 0;
  border: none;
  text-decoration: underline;
  height: 1.25em;
  display: flex;
  align-items: center;
  overflow: hidden;
}

.CopyButtonIcon img {
  height: 1em;
  width: 1em;
  display: block;
  margin-right: .5em;
}

.ChannelAdvancedDetailsButtonContainer {
  margin-top: .5em;
}

@media(min-width: 700px) {
  .ChannelBasicInfo {
    display: grid;
    grid-template-columns: auto max-content;
    column-gap: 1em;
  }
  .ChannelAdvancedDetailsButtonContainer {
    margin-top: 0;
  }
}

.HowToScreenshot {
  max-width: 100%;
}

.HowToScreenshot img {
  display: block;
  max-width: 100%;
  border: 1px solid rgb(168, 168, 168);
  border-radius: 6px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}

@media(min-width:660px) {
  .HowToScreenshot img {
    max-width: 80%;
    margin-left:auto;
    margin-right: auto;
  }
}
